Subject: Re: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 1 Jun 2015 13:30:57 +0000

I support IDR working group adoption. I reviewed the document and believe it provides a useful functionality in controller-based deployments and particularly when BGP is used in lieu of an IGP, i.e., https://www.ietf.org/id/draft-ietf-rtgwg-bgp-routing-large-dc-02.txt.

Thanks,
Acee

From: Susan Hares <[email-masked]<mailto:[email-masked]>>
Date: Sunday, May 31, 2015 at 11:26 PM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "Clarence Filsfils (cfilsfil)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Keyur Patel (keyupate)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

This begins a 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03.txt.  The authors (Stefano, Clarence, Saikat, Keyur, Mach and Jie) should indicate if they know if any IPR.  The draft can be found at:

http://datatracker.ietf.org/doc/draft-previdi-idr-bgpls-segment-routing-epe/

In the discussion, please consider:

a)      Does this addition to BGP-LS for exporting BGP egress point topologies provides useful information for BGP deployments in the internet,

b)      Are there scaling issues in adding this information to BGP-LS, and

c)       The technical merits and issues with this proposal.

Susan Hares and John Scudder

---

From: Hannes Gredler <[email-masked]>
Date: Tue, 2 Jun 2015 13:20:23 +0200

hi sue,

have worked with the authors and they have addressed all my concerns;

so, support as a non-author;

/hannes

On Sun, May 31, 2015 at 11:26:46PM -0400, Susan Hares wrote:
|    This begins a 2 week WG adoption call for
|    draft-previdi-idr-bgpls-segment-routing-epe-03.txt.  The authors (Stefano,
|    Clarence, Saikat, Keyur, Mach and Jie) should indicate if they know if any
|    IPR.  The draft can be found at:
| 
| 
| 
|    [1]http://datatracker.ietf.org/doc/draft-previdi-idr-bgpls-segment-routing-epe/
| 
| 
| 
|    In the discussion, please consider:
| 
|    a)      Does this addition to BGP-LS for exporting BGP egress point
|    topologies provides useful information for BGP deployments in the
|    internet,
| 
|    b)      Are there scaling issues in adding this information to BGP-LS, and
| 
|    c)       The technical merits and issues with this proposal.
| 
| 
| 
|    Susan Hares and John Scudder
| 
| 
| 
| References
| 
|    Visible links
|    1. http://datatracker.ietf.org/doc/draft-previdi-idr-bgpls-segment-routing-epe/

| _______________________________________________
| Idr mailing list
| [email-masked]
| https://www.ietf.org/mailman/listinfo/idr

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 2 Jun 2015 17:59:23 -0400

Hannes:

I'm happy to hear the concerns you mentioned earlier were addressed in the
latest draft.  

Sue 

-----Original Message-----
From: Hannes Gredler [mailto:[email-masked]] 
Sent: Tuesday, June 02, 2015 7:20 AM
To: Susan Hares
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked];
[email-masked]
Subject: Re: [Idr] 2 week WG adoption call for
draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

hi sue,

/hannes

On Sun, May 31, 2015 at 11:26:46PM -0400, Susan Hares wrote:
|    This begins a 2 week WG adoption call for
|    draft-previdi-idr-bgpls-segment-routing-epe-03.txt.  The authors
(Stefano,
|    Clarence, Saikat, Keyur, Mach and Jie) should indicate if they know if
any
|    IPR.  The draft can be found at:
| 
| 
| 
|
[1]http://datatracker.ietf.org/doc/draft-previdi-idr-bgpls-segment-routing-e
pe/
| 
| 
| 
|    In the discussion, please consider:
| 
|    a)      Does this addition to BGP-LS for exporting BGP egress point
|    topologies provides useful information for BGP deployments in the
|    internet,
| 
|    b)      Are there scaling issues in adding this information to BGP-LS,
and
| 
|    c)       The technical merits and issues with this proposal.
| 
| 
| 
|    Susan Hares and John Scudder
| 
| 
| 
| References
| 
|    Visible links
|    1.
http://datatracker.ietf.org/doc/draft-previdi-idr-bgpls-segment-routing-epe/

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Mon, 1 Jun 2015 07:48:47 +0000

Hi,

There is IPR in the process of being disclosed.

Thanks.

s.

---

From: Mach Chen <[email-masked]>
Date: Wed, 3 Jun 2015 02:53:02 +0000

Hi Sue,

Support the adoption as co-author.

And I am not aware of any IPR related to this document.

Best regards,
Mach

From: Susan Hares [mailto:[email-masked]]
Sent: Monday, June 01, 2015 11:27 AM
To: [email-masked]
Cc: 'John G. Scudder'; 'Alvaro Retana (aretana)'; [email-masked]; Dongjie (Jimmy); Mach Chen; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 4 Jun 2015 02:19:06 +0000

Hi Sue,

I support the adoption.

As a co-author, I am not aware of any IPR related.

Best regards,
Jie

---

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Mon, 8 Jun 2015 01:04:07 +0000

I have reviewed and support this draft.

--Jakob

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Sunday, May 31, 2015 8:27 PM
To: [email-masked]
Cc: Clarence Filsfils (cfilsfil); [email-masked]; Keyur Patel (keyupate); [email-masked]
Subject: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

---

From: "Bertrand Duvivier (bduvivie)" <[email-masked]>
Date: Mon, 8 Jun 2015 01:11:25 +0000

Reviewed and support for WG adoption
Best Regards Bertrand Duvivier

From: "Jakob Heitz (jheitz)" <[email-masked]<mailto:[email-masked]>>
Date: Sunday 7 June 2015 18:04
To: Susan Hares <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "Keyur (keyupate" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Clarence Filsfils <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

--Jakob

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Sunday, May 31, 2015 8:27 PM
To: [email-masked]<mailto:[email-masked]>
Cc: Clarence Filsfils (cfilsfil); [email-masked]<mailto:[email-masked]>; Keyur Patel (keyupate); [email-masked]<mailto:[email-masked]>
Subject: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

---

From: Mohan Nanduri <[email-masked]>
Date: Sun, 7 Jun 2015 22:17:47 -0400

Support the draft.

Cheers,
-Mohan

On Sun, May 31, 2015 at 11:26 PM, Susan Hares <[email-masked]> wrote:

> This begins a 2 week WG adoption call for
> draft-previdi-idr-bgpls-segment-routing-epe-03.txt.  The authors (Stefano,
> Clarence, Saikat, Keyur, Mach and Jie) should indicate if they know if any
> IPR.  The draft can be found at:
>
>
>
>
> a)      Does this addition to BGP-LS for exporting BGP egress point
> topologies provides useful information for BGP deployments in the internet,
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr
>
>

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 8 Jun 2015 12:19:30 +0000

Yes/support

Cheers,
Jeff

---

From: Jon Mitchell <[email-masked]>
Date: Mon, 8 Jun 2015 19:53:03 -0400

> IPR.  The draft can be found at: 

Support for adoption.

-Jon

---

From: <[email-masked]>
Date: Tue, 9 Jun 2015 09:39:20 +0000

> From: Acee Lindem (acee)

+1

I admit I haven’t had time to really review the doc in detail, but I’ll try one comment, just in case it may be useful.
Regarding Peer Adj Segment, in theory couldn’t we have:
- 2 different BGP peers having the same private AS number and the same BGP Router ID?
- un-numbered external interfaces

In which case I’m not sure how those 2 peer adj segment would be distinguished, nor how the related to the Peer SID be identified. One option may be to add the related Peer-SID in Peer Adjacency SID.

/Bruno

From: Idr [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Monday, June 01, 2015 3:31 PM
To: Susan Hares; [email-masked]
Cc: Keyur Patel (keyupate); [email-masked]; Clarence Filsfils (cfilsfil); [email-masked]
Subject: Re: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

Thanks,
Acee

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Tue, 9 Jun 2015 09:42:32 +0000

I meant: One option may be to add the related Peer-SID in the Peer Adjacency Segment.

From: Idr [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Tuesday, June 09, 2015 11:39 AM
To: Susan Hares; [email-masked]
Cc: Keyur Patel (keyupate); [email-masked]; Clarence Filsfils (cfilsfil); [email-masked]
Subject: Re: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

+1

/Bruno

From: Idr [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Monday, June 01, 2015 3:31 PM
To: Susan Hares; [email-masked]<mailto:[email-masked]>
Cc: Keyur Patel (keyupate); [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil); [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

Thanks,
Acee

Thank you.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 11 Jun 2015 14:11:46 +0000

Hi Bruno,

From: Bruno Decraene <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, June 9, 2015 at 5:42 AM
To: Bruno Decraene <[email-masked]<mailto:[email-masked]>>, Susan Hares <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "Keyur Patel (keyupate)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Clarence Filsfils (cfilsfil)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

The Peer-SID then would have to be an identifier in NLRI (for uniqueness) rather than attribute and it wouldn’t handle the case of parallel unnumbered interfaces with the same peer. In addition to parallel unnumbered interfaces, there is also the adjacency-sid ambiguity problem of parallel IPv6  interfaces (non-ethernet) that only have link-local addresses. We are discussing these scenarios with the authors.

As for peering with two BGP speakers with the same BGP router-id and private AS number, I think this is a misconfiguration even there is nothing in the BGP protocol that prevents it. I would think that the use of the private AS implies a single administrator or at least closely collaborating administrators.

Thanks,
Acee

From: Idr [mailto:[email-masked]] On Behalf Of [email-masked]<mailto:[email-masked]>

+1

/Bruno

Thanks,
Acee

Thank you.

---

From: <[email-masked]>
Date: Fri, 12 Jun 2015 08:04:59 +0000

Hi Acee,

Thanks for the discussion.
More inline (*2)

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Thursday, June 11, 2015 4:12 PM
To: DECRAENE Bruno IMT/OLN; Susan Hares; [email-masked]
Cc: Keyur Patel (keyupate); [email-masked]; Clarence Filsfils (cfilsfil); [email-masked]
Subject: Re: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

Hi Bruno,

The Peer-SID then would have to be an identifier in NLRI (for uniqueness) rather than attribute and it wouldn’t handle the case of parallel unnumbered interfaces with the same peer. In addition to parallel unnumbered interfaces, there is also the adjacency-sid ambiguity problem of parallel IPv6  interfaces (non-ethernet) that only have link-local addresses. We are discussing these scenarios with the authors.
[Bruno] Good to know. Thanks.

As for peering with two BGP speakers with the same BGP router-id and private AS number, I think this is a misconfiguration even there is nothing in the BGP protocol that prevents it. I would think that the use of the private AS implies a single administrator or at least closely collaborating administrators.
[Bruno] If it’s allowed by the protocol and works, I would not call this misconfiguration. Not allowing it anymore, I would call it a regression. There may be reasons for this, but it would be good to discuss them now. And if restrictions are kept, they should be indicated in the document.
As for the implications/reasons for the use of private AS, this may be related to RIRs or ISPs policy, which are numerous plus may have changed over time, so I would a priori assume diversity. So I’m not sure to see why the solution would be designed not to work in this case, even if I agree that this is a corner case.

Thanks
/Bruno

Thanks,
Acee

+1

/Bruno

Thanks,
Acee

Thank you.

Thank you.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Fri, 12 Jun 2015 12:11:00 +0000

Hi Bruno,

From: Bruno Decraene <[email-masked]<mailto:[email-masked]>>
Date: Friday, June 12, 2015 at 4:04 AM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, Susan Hares <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "Keyur Patel (keyupate)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "Clarence Filsfils (cfilsfil)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Idr] 2 week WG adoption call for draft-previdi-idr-bgpls-segment-routing-epe-03 (5/31 to 6/14)

Hi Acee,

To: DECRAENE Bruno IMT/OLN; Susan Hares; [email-masked]<mailto:[email-masked]>

Hi Bruno,

I agree that we should document that the tuple <ASN, BGP-ROUTER-ID> MUST be unique within the BGP LS Domain. I just don’t think we should try and fix it by adding a third node identifier to support uniqueness in this case that could be avoided by the network administrator.

Thanks,
Acee

Thanks
/Bruno

Thanks,
Acee

+1

/Bruno

Thanks,
Acee

Thank you.

Thank you.

---

From: Qin Wu <[email-masked]>
Date: Fri, 12 Jun 2015 15:06:25 +0000

Support.

-Qin
Cc: 'John G. Scudder'; 'Alvaro Retana (aretana)'; [email-masked]<mailto:[email-masked]>; Dongjie (Jimmy); Mach Chen; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

---

From: Saikat Ray <[email-masked]>
Date: Fri, 12 Jun 2015 08:37:10 -0700

Bruno:

RFC6286, section 2.1 requires the BGP identifier (router-id) to be unique
within an AS (i.e., the <ASN, BGP identifier> tuple is globally unique).
However, as Acee said, we should clarify this in the drafts.

Thanks.

On Fri, Jun 12, 2015 at 1:04 AM, <[email-masked]> wrote:

> *From:* Acee Lindem (acee) [mailto:[email-masked]]
> *Sent:* Thursday, June 11, 2015 4:12 PM
> *To:* DECRAENE Bruno IMT/OLN; Susan Hares; [email-masked]
> *Cc:* Keyur Patel (keyupate);
> [email-masked]; Clarence
> Filsfils (cfilsfil); [email-masked]
> *Subject:* Re: [Idr] 2 week WG adoption call for
> *From: *Bruno Decraene <[email-masked]>
> *Date: *Tuesday, June 9, 2015 at 5:42 AM
> *To: *Bruno Decraene <[email-masked]>, Susan Hares <
> [email-masked]>, "[email-masked]" <[email-masked]>
> *Cc: *"Keyur Patel (keyupate)" <[email-masked]>, "
> [email-masked]" <
> [email-masked]>, "Clarence
> Filsfils (cfilsfil)" <[email-masked]>, "[email-masked]" <
> [email-masked]>
> *Subject: *Re: [Idr] 2 week WG adoption call for
> The Peer-SID then would have to be an identifier in NLRI (for uniqueness)
> rather than attribute and it wouldn’t handle the case of parallel
> unnumbered interfaces with the same peer. In addition to parallel
> unnumbered interfaces, there is also the adjacency-sid ambiguity problem of
> parallel IPv6  interfaces (non-ethernet) that only have link-local
> addresses. We are discussing these scenarios with the authors.
>
> As for peering with two BGP speakers with the same BGP router-id and
> private AS number, I think this is a misconfiguration even there is nothing
> in the BGP protocol that prevents it. I would think that the use of the
> private AS implies a single administrator or at least closely collaborating
> administrators.
>
> [Bruno] If it’s allowed by the protocol and works, I would not call this
> misconfiguration. Not allowing it anymore, I would call it a regression.
> There may be reasons for this, but it would be good to discuss them now.
> And if restrictions are kept, they should be indicated in the document.
>
> As for the implications/reasons for the use of private AS, this may be
> related to RIRs or ISPs policy, which are numerous plus may have changed
> over time, so I would a priori assume diversity. So I’m not sure to see why
> the solution would be designed not to work in this case, even if I agree
> that this is a corner case.
>
>
>
> Thanks
>
> /Bruno
>
>
>
> Thanks,
>
> Acee
>
>
>
>
>
> *From:* Idr [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of [email-masked]
> *Sent:* Tuesday, June 09, 2015 11:39 AM
> *To:* Susan Hares; [email-masked]
> *Cc:* Keyur Patel (keyupate);
> [email-masked]; Clarence
> Filsfils (cfilsfil); [email-masked]
> *Subject:* Re: [Idr] 2 week WG adoption call for
> > I support IDR working group adoption. I reviewed the document and
> believe it provides a useful functionality in controller-based deployments
> and particularly when BGP is used in lieu of an IGP, i.e.,
> https://www.ietf.org/id/draft-ietf-rtgwg-bgp-routing-large-dc-02.txt.
>
>
>
> +1
>
>
>
> I admit I haven’t had time to really review the doc in detail, but I’ll
> try one comment, just in case it may be useful.
>
> In which case I’m not sure how those 2 peer adj segment would be
> distinguished, nor how the related to the Peer SID be identified. One
> option may be to add the related Peer-SID in Peer Adjacency SID.
>
>
>
> /Bruno
>
>
>
>
>
> *From:* Idr [mailto:[email-masked] <[email-masked]>] *On
> Behalf Of *Acee Lindem (acee)
> *Sent:* Monday, June 01, 2015 3:31 PM
> *To:* Susan Hares; [email-masked]
> *Cc:* Keyur Patel (keyupate);
> [email-masked]; Clarence
> Filsfils (cfilsfil); [email-masked]
> *Subject:* Re: [Idr] 2 week WG adoption call for
> I support IDR working group adoption. I reviewed the document and believe
> it provides a useful functionality in controller-based deployments and
> particularly when BGP is used in lieu of an IGP, i.e.,
> https://www.ietf.org/id/draft-ietf-rtgwg-bgp-routing-large-dc-02.txt.
>
>
>
> Thanks,
>
> Acee
>
>
>
> *From: *Susan Hares <[email-masked]>
> *Date: *Sunday, May 31, 2015 at 11:26 PM
> *To: *"[email-masked]" <[email-masked]>
> *Cc: *"Clarence Filsfils (cfilsfil)" <[email-masked]>, "
> [email-masked]" <[email-masked]>, "Keyur Patel (keyupate)" <
> [email-masked]>, "
> [email-masked]" <
> [email-masked]>
> *Subject: *[Idr] 2 week WG adoption call for

-- 
Saikat Ray
Web: http://raysaikat.googlepages.com

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Mon, 15 Jun 2015 15:38:11 +0000

On Jun 12, 2015, at 2:11 PM, Acee Lindem (acee) <[email-masked]> wrote:
> Hi Bruno, 
> 
> From: Bruno Decraene <[email-masked]>
> To: Acee Lindem <[email-masked]>, Susan Hares <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc: "Keyur Patel (keyupate)" <[email-masked]>, "[email-masked]" <[email-masked]>, "Clarence Filsfils (cfilsfil)" <[email-masked]>, "[email-masked]" <[email-masked]>
> From: Bruno Decraene <[email-masked]>
> To: Bruno Decraene <[email-masked]>, Susan Hares <[email-masked]>, "[email-masked]" <[email-masked]>
> Cc: "Keyur Patel (keyupate)" <[email-masked]>, "[email-masked]" <[email-masked]>, "Clarence Filsfils (cfilsfil)" <[email-masked]>, "[email-masked]" <[email-masked]>

I agree and will document that.

s.

> From: Susan Hares <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc: "Clarence Filsfils (cfilsfil)" <[email-masked]>, "[email-masked]" <[email-masked]>, "Keyur Patel (keyupate)" <[email-masked]>, "[email-masked]" <[email-masked]>

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 15 Jun 2015 15:14:25 -0400

> http://datatracker.ietf.org/doc/draft-previdi-idr-bgpls-segment-routing-epe/

I support adoption of this draft.

-- Jeff